I want to thank the help and the collaboration of the following people (date sorted list):

-To my parents and brothers. I remember very fondly the advices of my father to my first programs. My brother David helped me learning ZX Spectrum, discovering Inves issues and improving ZEsarUX. My brother Oscar also helps me improving and testing ZEsarUX, also helped me a lot with the ZX Spectrum.
-To Auro and Gui, for their patience and suggestions
-Ivan Daunis Llobet, for the PCGPE and the INTERVUE, which were very useful on creating my first emulator, ZXSpectr
-Ruben Parra Martinez, for the Spectrum +2A
-To my friends at Mexico
-To Amstrad, for permitting to use the ROMS to someone who makes an emulator
-Samir Ribic, for helping me with the uploading of ZXSpectr, and for all the information included in his Warajevo emulator.
-Martijn van der Heide, for uploading ZXSpectr on http://worldofspectrum.org/
-Phillip Kendall, for telling me a bug with the BIT instruction on ZXSpectr. I also use some code from his Fuse emulator (opcode timings & disassemble function)
-Pedro Gimeno, for the timings of some opcodes and contended memory information
-Rodolfo Edison Guerra, for including ZXSpectr in his SpecBase, for all the information about TK90X and TK95 and lots more!
-Paul Farrow, for the information and games for the ZX80 and ZX81 and Spectra Video modes. See http://www.fruitcake.plus.com/
-Martin Korth, for the information about video signals on the ZX80 & ZX81. See http://nocash.emubase.de/zxdocs.htm
-Kelly Murta, for granting permission to include programs of his website. See http://zx81.eu5.org/toddysofte.html
-Joan Sales Roig, for granting permission to include ZX81 Orquesta
-Alfonso Saavedra "Son Link", for testing and suggestions to my emulator
-Dave Hughes, for granting permission to include El Stompo, Sun Bucket and others
-Einar Saukas, for granting permission to include KnightsDemonsDX, NirvanaEngine, BifrostEngine and others
-Miguel Angel Rodriguez Jodar, for lots of information about all Spectrum models
-Marcos Cruz (programandala.net), for the Spool File idea, lots of suggestions, help with TR-DOS and bug reporting
-Stefano Bodrato, for granting permission to include Wall game for ZX81
-Kit O'Saoraidhe, for granting permission to include some of his ZX80 programs found at http://zx80programs.yolasite.com/
-Bob Smith, for granting permission to include his Rebound game for ZX81
-Gunther Strube and Thierry Peycru for all the information on the Z88 Wiki https://cambridgez88.jira.com/wiki/display/welcome/Cambridge+Z88 and lots of suggestions and help
-The Mojon Twins, for every new game they release and for permission to include game Sgt. Helmet Zero (features ULA Plus)
-Jim Bagley, for granting permission to include jbracing
-Aleksey Rusakov, for granting permission to include some Gigascreen art made by him
-Sergey Sharov, for granting permission to include some Gigascreen art made by him
-Alexander Filyanov, for granting permission to include some Gigascreen art made by him
-Alexander Solodkov, for granting permission to include some Gigascreen art made by him
-Andrew Owen, for granting permission to include some ULAPlus art (.bmc4 files) made by him, for information about his Chloe machine, for some keyboard images and much more
-To Jordi Bayo Montiel, Antonio Villena, Quest, and Miguel Angel Rodriguez Jodar from the ZX-Uno team for all the information with their beautiful machine and testing Windows version.
-Fernando Gregoire from CAAD forums, helping me improving accessibility support on the emulator
-Sukil Etxenike, helping me improving accessibility support on the emulator, beta testing and fixing text mistakes
-Charlie Robson, for helping me with ZXPand emulation
-Andy Rea, for granting permission to include his STC player for zxpand
-Henri, for the AZERTY support patch
-Jeff Braine, for information about his Prism machine
-Juan Carlos Gonzalez Amestoy, for help with Spectrum timings, OpenGL drawing on Mac and much MORE :) You really need to try his RVM emulator!
-Simon Owen, for the information about Atom Lite on Sam Coupe
-Uto, helping me improving the debug menu
-Victor Trucco and Fabio Belavenuto for information about their TBBlue machine
-Daniel Leon for information about his ZX Dandanator! Mini interface and bug reporting
-Alejandro Valero for information about his Superupgrade interface, 8-bit simple ide interface, and PD765 emulation (+3 disk drive)
-Miguel Angel Gomez (haplo) for lots of bug reporting
-Karl Stenerud, for granting permission to include his Musashi Motorola 680x0 emulator
-Javier R. Santurde (tolkien), for the MorhOS patch
-Rich Mellor, helping me with QL emulation
-Yerzmyey, for granting permission to include his Astral Combat demo. http://yerzmyey.i-demo.pl/ . http://hooyprogram.republika.pl/
-JSJ, helping me with pthreads on Windows version
-Miodrag Milanovic, for granting permission to include his National Semiconductor SC/MP CPU Emulator
-Tim Gilberts, for bug reporting and the Sped translation to English
-Gary Lancaster, for bug reporting
-Mark Hutchings, for bug reporting, proposing new features and code contribution
-g0blinish/Krapivin Dmitry, for granting permission to include some demos and games for TSConf
-"El mundo del Spectrum" podcast/website team, for the interview in his book "El mundo del Spectrum+"
-Bernhard aka Luzie for the Recreated ZX Spectrum keyboard
-Till Harbaum, helping me with QL emulation and mdvtool
-Simone Voltolini, for recovering my old QL Microdrives
-Richard Atkinson, for the real Speccy 16/48/+ colour palette
-Jordi Bayo Montiel (again) for the first Windows compilations and the additional and beautiful ZEsarUX logos
-Roberto (zenvoid), for reporting me the bug with the IFF2 behaviour when firing an interrupt
-Hacker VBI (Burenko Vladimir, Ukraine), for granting permission to include some demos and games for TSConf
-zup, for creating the Spectrum rom files which contain Mantransfer
-Robin Verhagen-Guest, helping me with the MB02/Next DMA
-Gari Biasillo, for reporting bugs in the esxdos handler
-Thomas Busse, for bug reporting and the fast debug parser proposal
-Jose Luis Rodriguez Godoy, testing Inves features and reporting bugs
-Damien Guard, for the ZX Chicago font, used in RetroMac GUI style
-Peter Ped Helcmanovsky, for lots of TBBlue code contributions and bug reporting
-Derek Bolli, testing the ZEsarUX Network Gaming feature
-desUBIKado, testing the ZEsarUX Network Gaming feature
-ZXwebmaster, allowing me to use his web site www.zx81.nl in the ZX81 online game browser
-Raul Carrillo (metsuke) granting permission to add his game "The Big Javi's Adventure"
-Thomas Kolbeck, adapting the zxinfo api for the ZEsarUX speccy game browser
-Cesar Wagener, for Windows bug reporting
-Alone Coder, for granting permission to add Pang and Ball Quest 16C color mode games, and for information about ATM computer
-Шарихин Александр Сергеевич, for granting permission to add his "Touhou Zero. Lost Donation Box Incident" game, for help and suggestions
-Stefan Bylund, helping me with tbblue layer2 extended modes
-Kio, for granting permission to add his beautiful keyboard images from his zxsp emulator
-Rafa (aka Spirax), for reporting the CPC CRTC interrupts bug
-Simon Berry, for bug reporting and suggestions
-Gerton Lunter, for information with his SamRam interface and granting permission to include the roms
-Aled Griffiths, for the Mac retina display support
-Anderson Torres, for fixing shebangs on shell scripts
-Neil Roy, for the DOS font, used on OS/2 GUI style
-Ricardo Martínez (Kyp), for helping me with Transtape emulation
-Álvaro Alea, for the Interface007 and Dynamid roms (probably the only person that had the Interface007 rom)
-SonicaLabs, for the Poke F-Function and many other code contributions


-Everyone at several forums about Spectrum, ZX80, ZX81, Z88, Raspberry Pi, etc for all the suggestions to my emulator
-Everyone who test the beta and stable versions of the emulator and report bugs
-All the people who donated to ZEsarUX, they are listed in the DONORS file.
-Anyone who makes demos for the Spectrum, they are a good field of testing for my emulator.

And mainly to this big genius, Clive Sinclair. Rest in peace

